# KSpigotSound

data class KSpigotSound(sound: Sound, volume: Float, pitch: Float, category: SoundCategory?)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Sound
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Float
Content copied to clipboard
component3
Link copied to clipboard
operator fun component3(): Float
Content copied to clipboard
component4
Link copied to clipboard
operator fun component4(): SoundCategory?
Content copied to clipboard
copy
Link copied to clipboard
fun copy(sound: Sound, volume: Float = 1f, pitch: Float = 1f, category: SoundCategory? = null): KSpigotSound
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
playAt
Link copied to clipboard
fun playAt(loc: Location)
Content copied to clipboard
Plays the sound at the location.
playFor
Link copied to clipboard
fun playFor(player: Player)
Content copied to clipboard
Plays the sound at the location of the player.
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

category
Link copied to clipboard
var category: SoundCategory? = null
Content copied to clipboard
pitch
Link copied to clipboard
var pitch: Float = 1f
Content copied to clipboard
sound
Link copied to clipboard
val sound: Sound
Content copied to clipboard
volume
Link copied to clipboard
var volume: Float = 1f
Content copied to clipboard